<?php

if ( !function_exists("str_ireplace") ) 
{
    function str_ireplace($search, $replace, $subject)
    {
        $token = chr(1);
        $haystack = strtolower( $subject );
        $needle = strtolower( $search );
        while ( ( $pos = strpos($haystack, $needle) ) !== false )
        {
            $subject = substr_replace($subject, $token, $pos, strlen( $search ));
            $haystack = substr_replace($haystack, $token, $pos, strlen( $search ));
        }
        $subject = str_replace($token, $replace, $subject);
        return $subject;
    }
}

if ( !function_exists("stripos") ) 
{
    function stripos($str, $needle, $offset = 0)
    {
        return strpos(strtolower($str), strtolower($needle), $offset);
    }
}

?>
